
* Program..: VIDLABEL.CMD
* Author...: Your Name
* Date.....: 05/27/85
* Notice...: Copyright 1985, All Rights Reserved
* Reserved.: select, condition, extra
*
SET TALK OFF
SET BELL OFF
STORE " " TO select
USE VIDEOLOG
ERASE
@ 2, 0 SAY "V I D E O L O G    M A I L I N G    L A B E L S"
@ 2,72 SAY DATE()
@ 3, 0 SAY "========================================"
@ 3,40 SAY "========================================"
STORE " " TO select
@ 5,0 SAY "Output to the screen or printer? [S/P] ";
      GET select PICTURE "!"
READ
DO CASE
   CASE select = "S"
      ERASE
   CASE select = "P"
      SET CONSOLE OFF
      SET PRINT ON
   OTHERWISE
      ERASE
      SET BELL ON
      SET TALK ON
      RETURN
ENDCASE
* ---Enter FOR <expression> for the labels, such as,
* ---STORE "STATE = 'CA'" TO condition
STORE " " TO condition
DO WHILE .NOT. EOF
   IF condition <> " "
      IF .NOT. (&condition)
         SKIP
         LOOP
      ENDIF
   ENDIF
   STORE 0 TO extra
   ? tape
   ? title
   ? hrs+", "+min
   ? indexstrt+"-"+indexend
   ?
   ?
   DO WHILE extra > 0
      ?
      STORE extra - 1 TO extra
   ENDDO
   SKIP
ENDDO
*
SET PRINT OFF
SET CONSOLE ON
?
? "THAT'S ALL FOLKS..."
CLEAR
SET TALK ON
SET BELL ON
RETURN
* EOF: VIDLABEL.CMD
condition exists.
   IF condition <> " "
      IF .NOT. (&condition)
         SKIP
         LOOP
      ENDIF
   ENDIF
   *
   * ---Print detail line.
   @ line,  0 SAY $(title,1, 30)
   @ line, 33 SAY $(STR(tape,3,0)1,  4)
 